import request from '@/utils/request'

// 查询选班导入列列表
export function listMxjbSelectedClassDetail(query) {
  return request({
    url: '/mxjb/mxjbSelectedClassDetail/list',
    method: 'get',
    params: query
  })
}

// 查询选班导入列详细
export function getMxjbSelectedClassDetail(id) {
  return request({
    url: '/mxjb/mxjbSelectedClassDetail/' + id,
    method: 'get'
  })
}

// 新增选班导入列
export function addMxjbSelectedClassDetail(data) {
  return request({
    url: '/mxjb/mxjbSelectedClassDetail',
    method: 'post',
    data: data
  })
}

// 修改选班导入列
export function updateMxjbSelectedClassDetail(data) {
  return request({
    url: '/mxjb/mxjbSelectedClassDetail',
    method: 'put',
    data: data
  })
}

// 删除选班导入列
export function delMxjbSelectedClassDetail(id) {
  return request({
    url: '/mxjb/mxjbSelectedClassDetail/' + id,
    method: 'delete'
  })
}

// 导出选班导入列
export function exportMxjbSelectedClassDetail(query) {
  return request({
    url: '/mxjb/mxjbSelectedClassDetail/export',
    method: 'get',
    params: query
  })
}